Summary:	Unix port of Borland TurboVision library
Summary(pl.UTF-8):	Uniksowa wersja biblioteki TurboVision Borlanda
Name:		librhtv
Version:	2.2.1
Release:	3
License:	Borland, some modifications are BSD-like licensed (generally free)
Group:		Libraries
Source0:	http://download.sourceforge.net/tvision/rhtvision_%{version}-1.tar.gz
# Source0-md5:	46b815d86bbbb2f9b112b11f63e2f5a6
Patch0:		%{name}-nolowlevelgarbage.patch
Patch1:		%{name}-fcntl.patch
Patch2:		%{name}-ncurses.patch
Patch3:		format-security.patch
Patch4:		infinite-loop.patch
URL:		http://tvision.sourceforge.net/
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	gpm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Turbo Vision (or TV, for short) is a library that provides an
application framework. With TV you can write a beautiful
object-oriented character-mode user interface in a short time.

TV is available in C++ and Pascal and is a product of Borland
International. It was developed to run on MS-DOS systems, but today it
is available for many other platforms (ported by independent
programmers).

This port is based on the Borland 2.0 version with fixes.

%description -l pl.UTF-8
Uniksowa wersja biblioteki TurboVision 2.0 Borlanda. TurboVision jest
obiektową biblioteką do okienkowych interfejsów użytkownika w trybie
tekstowym.

%package devel
Summary:	%{name} header files
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
rhtvision header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe rhtvision.

%package static
Summary:	Static %{name} libraries
Summary(pl.UTF-8):	Biblioteki statyczne %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static rhtvision libraries.

%description static -l pl.UTF-8
Biblioteki statyczne rhtvision.

%prep
%setup -q -n tvision
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__perl} config.pl \
	--prefix=%{_prefix} \
	--cflags="%{rpmcflags} -I/usr/include/ncursesw" \
	--cxxflags="%{rpmcflags} -fno-exceptions -I/usr/include/ncursesw" \
	--X11lib="X11 Xmu" \
	--with-debug \
	%{?debug:--debug}

%{__make} \
	RHIDE_GCC="%{__cc}" \
	RHIDE_GXX="%{__cxx}" \
	RHIDE_LDFLAGS="%{rpmldflags} -shared -Wl,-soname,librhtv.so.2" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf librhtv.so.%{version} librhtv.so.2
chmod 0755 librhtv.so.%{version}
cd -

# let's create new rhide.env
cat > examples/rhide.env  <<EOF
RHIDE_GCC=gcc
RHIDE_GXX=g++
RHIDE_LD=gcc
RHIDE_AR=ar
RHIDE_ARFLAGS=rcs
RHIDE_OS_CFLAGS=%{rpmcflags} -Wall
RHIDE_OS_CXXFLAGS=%{rpmcflags} -Wall
RHIDE_STDINC=/usr/include /usr/X11R6/include /usr/include/ncurses
TVSRC=%{_includedir}/rhtvision
RHIDE_OS_LIBS=stdc++
TVOBJ=
STDCPP_LIB=-lstdc++
SHARED_CODE_OPTION=-fPIC
EOF

cd examples
%{__perl} patchenv.pl
cd ..

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang tvision%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f tvision%{version}.lang
%defattr(644,root,root,755)
%doc readme.txt TODO borland.txt
%attr(755,root,root) %{_libdir}/librhtv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librhtv.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt doc/*.html
%attr(755,root,root) %{_bindir}/rhtv-config
%attr(755,root,root) %{_libdir}/librhtv.so
%{_libdir}/libtvfintl.a
%{_includedir}/rhtvision
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/librhtv.a
%changelog
* Sat Feb 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librhtv.git;a=log;h=master

* Fri Feb 21 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d1d2c16
- chmod 0755 librhtv.so.2.2.1 for debuginfo.

* Fri Feb 21 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6ebcb36
- --debug is debug, --with-debug is not strip

* Mon Feb 17 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fc8a39a
- added the infinite-loop.patch
- rel 2

* Mon Feb 17 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c68a3ff
- Avoid an infinite loop

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c4a542
- verbose lib, include files; static-only libtvfintl moved to -devel

* Tue Jan 07 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f0c034a
- added format-security.patch
- ghost symlink
- pass rpmldflags
- rel 1

* Tue Jan 07 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6735d0c
- compilation fix

* Sat Mar 17 2012 witekfl <witekfl@pld-linux.org> 2b5b834
- without tinfo

* Sat Mar 17 2012 witekfl <witekfl@pld-linux.org> d99717e
- not commited files

* Wed May 18 2011 witekfl <witekfl@pld-linux.org> d9f8c41
- up to 2.2.1
- added fcntl.patch
- added ncurses.patch
- Because configure script is dumb, I added -ltinfow to X11 libs
  (stupid, but works)
- note that TV doesn't work on Linux console in UTF-8 mode

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> daeaddf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6039244
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5511054
- cp -a implies cp -r

* Sat Aug 12 2006 witekfl <witekfl@pld-linux.org> 568f609
- Reference documentation and some other docs added to devel
- rel 2

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> b4b5e18
- avoid defining default %attr

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 98f7434
- orphaned, outdated

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> e071c18
- quote %{__cc}

* Wed Jun 01 2005 witekfl <witekfl@pld-linux.org> 82f5c10
- updated to 2.0.3
- added gcc4 patch
- Rel 1

* Wed Jun 01 2005 witekfl <witekfl@pld-linux.org> 87ca0b1
- compilation fix for gcc4

* Tue Sep 14 2004 undefine <undefine@pld-linux.org> d548cb6
- update to 2.0.3

